package hr.foi.gp;
import java.sql.*;

import java.io.*;
import java.util.*;
import org.jdom.*;
import org.jdom.input.*;
import org.jdom.output.*;
import org.jdom.xpath.*;

public class Primjer
{
  public static void main(String[] args) throws Exception
  {
    //Oracle
    String studentsListOracle="";
    String driver="oracle.jdbc.driver.OracleDriver";
    String databaseURL="jdbc:oracle:thin:@127.0.0.1:1521:db_oracle";
    String user="first_user";
    String password="passwd_string";
    Class.forName(driver);
    java.sql.Connection connection = DriverManager.getConnection(databaseURL, user, password);

    Statement st = connection.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_UPDATABLE);
    String sql = "select student_id,surname,name,average_mark from students";
    ResultSet rs = st.executeQuery(sql);
    while (rs.next())
    {
      int student_id=rs.getInt("student_id");
      String surname=rs.getString("surname");
      String name=rs.getString("name");
      float average_mark=rs.getFloat("average_mark");

      studentListOracle+="<tr><td>"+student_id+"</td><td>"+surname+"</td><td>"+name+"</td><td>"+average_mark+"</td></tr>\n";
    }
    rs.close();
    connection.close();
    System.out.println(studentsListOracle);
    //XML
    String coursesListXML="";
    String fileName="courses.xml";
    File file=new File(fileName);
    SAXBuilder builder = new SAXBuilder();
    Document doc = builder.build(file);
    XPath x=XPath.newInstance("files/XML/");
    List searchList=x.selectNodes(doc.getRootElement());
    Iterator searchElement = searchList.iterator();
    while (searchElement.hasNext())
    {
      Element courses = (Element) searchElement.next();
      String course_id=courses.getChildText("course_id");
      String course_name=courses.getChildText("course_name");
      String course_description=courses.getChildText("course_description");
      String semester=courses.getChildText("semester");

      coursesListXML+="<tr><td>"+course_id+"</td><td>"+course_name+"</td><td>"+course_description+"</td><td>"+semester+"</td></tr>\n";
    }
    System.out.println(coursesListXML);

  }//main
}